#!/bin/bash
#----------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2013
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-----------------------------------------------------------------------------
# IBM Storage Driver for OpenStack v1.5.0-b643
NEEDED_PYTHON_VERSION="2.7"
SCRIPT_BASE="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
SCRIPT_NAME="$(basename "${BASH_SOURCE[0]}" )"
PYTHON_EXEC=${PYTHON_TO_USE}
if [[ ${PYTHON_EXEC} == "" ]]; then
    PYTHON_EXEC=python2
fi
CURRENT_PYTHON="`${PYTHON_EXEC} -c 'from sys import version_info;print(".".join([str(x) for x in version_info[:2]]))'`"
if [[ $? != 0 ]]; then 
    echo "${SCRIPT_NAME} requires python ${NEEDED_PYTHON_VERSION} to be installed in order to run.."
    exit 1
fi
if [[ ${CURRENT_PYTHON} != ${NEEDED_PYTHON_VERSION} ]]; then
    echo "${SCRIPT_NAME} requires python ${NEEDED_PYTHON_VERSION} to be installed in order to run.."
    echo "Python ${CURRENT_PYTHON} is installed."
    echo ""
    echo "To use a different python, set the environment variable PYTHON_TO_USE. E.g:"
    echo ""
    echo "PYTHON_TO_USE=/path/to/bin/python ${SCRIPT_BASE}/${SCRIPT_NAME}"
    exit 1
fi
NEEDED_PACKAGES="setuptools argparse"
for NEEDED_PACKAGE in ${NEEDED_PACKAGES};do
    `${PYTHON_EXEC} -c "import ${NEEDED_PACKAGE}">/dev/null 2>/dev/null`
    if [[ $? != 0 ]]; then 
        echo "${SCRIPT_NAME} requires the python package '${NEEDED_PACKAGE}' to be installed in order to run.."
        exit 1
    fi
done

${PYTHON_EXEC} ${SCRIPT_BASE}/runtime/runner.py ${SCRIPT_BASE} ${SCRIPT_NAME} $*
